# Interface StyleDefaultsNodeDefaults

#### Hierarchy

- StyleDefaultsNodeDefaults

#####
Index

### Properties

borderColor
borderWidth
color
iconDefaults
indicatorColor
indicatorIconDefaults
labelStyle
secondaryLabelStyle

## Properties

### borderColor

borderColor: string

The default color of the node borders. The default value varies based on theme.

### borderWidth

borderWidth: number

The default width of the node borders. The default value varies based on theme.

### color

color: string

The default background color of the nodes.

### iconDefaults

iconDefaults: StyleDefaultsNodeDefaultsIconDefaults

An object defining the style defaults for the node icons.

### indicatorColor

indicatorColor: string

The default background color of the node indicator sections.

### indicatorIconDefaults

indicatorIconDefaults: StyleDefaultsNodeDefaultsIndicatorIconDefaults

An object defining the style defaults for the node indicator icons.

### labelStyle

labelStyle: object

The CSS style object defining the style of the node labels.

### secondaryLabelStyle

secondaryLabelStyle: object

The CSS style object defining the style of the node secondary labels.

Generated using TypeDoc